//apply_cash.js
var card_code = '6620180047001855';
var vue = new Vue({
	el:'#vue-content',
	data:{
		account_all:'0.00',
		avaiable_money:'0.00',
		cash_num:'',
		select_time:'',
		extra:'0',
		pay_type:'card',
		wx_pay:'',
		is_bind_wx:false,
		pay_type:0,
		nocard:false,
		checked:true,
		time_list:[
			{name:'D+1'},
			{name:'D+2'},
			{name:'D+3'}
		],
		card_info:{}
	},
	methods:{
		insertNum:function(evt){
			var cash_num = evt.target.value;
			console.log(cash_num);
			if(~~cash_num > ~~vue.avaiable_money){
				console.log(evt);
				var cls = evt.target.className;
				api.toast({
					msg:'提现金额不能超过可提现金额',
					duration:2000,
					location:'bottom'
				});
				vue.cash_num = '';
				$api.val($api.dom('.'+cls),'')
			}
		}
	}
	
})

//店铺提现
function store_withdrawal_info(store_id){
	ajaxRequest(App.url+App.store_withdrawal_info+'/token/'+App.appToken+'/store_id/'+store_id,'GET',{},function(ret,err){
		//alert(JSON.stringify(ret));
		if(ret && ret.status == 200){
			vue.account_all = ret.money;
			vue.avaiable_money = ret.money
			if(ret.is_wechat == '0'){
				vue.is_bind_wx = true;
				vue.wx_pay = true
			}
			
			if(ret.is_wechat == '1'){
				vue.is_bind_wx = false;
				vue.wx_pay = false
			}
			if(ret.list == null){
				vue.nocard = true	
			}else{
				//alert(JSON.stringify(ret.list[0]));
				vue.card_info = {
					b_name:ret.list[0].bank,
					b_id:ret.list[0].id,
					b_type:'储蓄卡',
					b_card_code:subStrCard(ret.list[0].number),
					b_icon:ret.list[0].icon
				}
			}
		}else{
			popToast('查询失败或网络错误','bottom')
		}
	});
}

//选择到账时间
function select_time(obj){
	var cur_time = $api.attr(obj,'data-time');
	if($api.hasCls(obj,'selected')) return;
	var time_ele = $api.domAll('.select-item.selected');
	for(var i = 0; i < time_ele.length ;i ++){
		$api.removeCls(time_ele[i],'selected')
	}
	$api.addCls(obj,'selected');
	vue.select_item = cur_time;
	console.log(vue.select_item);
}

//选择提现方式
function payWay(obj){
	var type = $api.attr(obj,'data-type');
	if($api.hasCls(obj,'selected')) return;
	vue.type = type;
	//alert(vue.is_bind_wx);
	if(type == 'wx' && vue.is_bind_wx){
		//此处会识别是否绑定微信账户
		vue.wx_pay = 'wx';
		vue.pay_type = '0';
		$api.val($api.dom('.app-input-hidden'),type);
		
	}
	else if($api.attr(obj,'data-type') == 'wx' && vue.is_bind_wx == false){
		api.toast({
	        msg:'当前商户未绑定微信账户',
	        duration:1500,
	        location:'bottom'
        });
        return;
	}
	else{
		vue.wx_pay = '';
		vue.pay_type = '1';
		$api.val($api.dom('.app-input-hidden'),'');
	}
	
	var way_ele = $api.domAll('.pay-item.selected');
	for(var i = 0; i < way_ele.length ;i ++){
		$api.removeCls(way_ele[i],'selected')
	}
	$api.addCls(obj,'selected');
	
	console.log(vue.type);
}

//切换银行账户
function changeAccount(){
	var win_name = 'win_header';
	var paramJson = {
		type:'acount_setting',
		title:'银行账户设置',
		change:true
	}
	
	openWin(win_name,paramJson.type,win_name,paramJson);
}

//提交申请
function submitApply(obj,index) {
	if(!$api.hasCls(obj,'app-btn-ok')){
		api.toast({
			msg:'请完成其他选项',
			duration:2000,
			location:'bottom'
		});
		return;
	}
	
	//alert('账号：'+vue.pay_type);
	
	api.ajax({
		url:App.url+App.withdrawal,
		method:'post',
		cashe:false,
		timeout:20,
		data:{
			values:{
				token:'zhongrui',
				store_id:$api.getStorage('store_id'),
				money:vue.cash_num,
				is_type:vue.pay_type,
				bank_id:vue.card_info.b_id
			}
		}
	},function(ret,err){
		//alert(JSON.stringify(ret));
		if(ret && ret.status == 200){
			api.sendEvent({
				name:'submit_apply',
				extra:{
					text:'已提现',
					cash_num:vue.cash_num
				}
				
			});
			
			//如果提现申请处理进行中 则不会操作体现 根据实际业务需求
			//模拟
			$api.setStorage('applying',true);
			
			api.execScript({
				name:'main',
				script:'switchTab('+$api.dom('.large-icon')+',\''+index+'\')'
			})
		}else{
			api.toast({
				msg:ret.msg,
				duration:1500,
				location:'bottom'
			});
		}
	});
}

function add_new_card(obj,type){
	var win_name = 'win_add_header';
	var paramJson = {
		type:'add',
		title:'添加银行卡',
		isplus:true
	}
	
	openWin(win_name,paramJson.type,'win_add_header',paramJson);
}

apiready = function() {
	var store_id = $api.getStorage('store_id');
	store_withdrawal_info(store_id);
	
	api.addEventListener({
		name:'login'
	},function(ret,err){
		if(ret){
			//api.pageUp({top:true},function(ret, err) {});
			store_id = $api.getStorage('store_id');
			store_withdrawal_info(store_id);
		}
	});
	api.addEventListener({
	    name:'add_new'
    },function(ret,err){
    	//coding...
    	vue.nocard = false;
    	store_withdrawal_info(store_id);
    });
    
    api.addEventListener({
    	name:'add_new_card'
    },function(ret,err){
    	vue.nocard = false;
    	store_withdrawal_info(store_id);
    });
	
	api.addEventListener({
		name:'change_account',
	},function(ret,err){
		//alert(JSON.stringify(ret.value));
		vue.card_info.b_name = ret.value.card_code;
		vue.card_info.b_icon = ret.value.icon;
	    vue.card_info.b_name = ret.value.name;
		vue.card_info.b_type = '储蓄卡';
		vue.card_info.b_card_code = subStrCard(ret.value.card_code)

	});
	
	api.addEventListener({
	    name:'del_account'
    },function(ret,err){
    	//coding...
    	store_withdrawal_info(store_id);
    });
	
	api.addEventListener({
		name:'refresh'
	},function(ret){
		store_withdrawal_info(store_id);
	});
}
