//银行账户设置
var ischange = false;
Vue.component('card-component',{
	template:'#cardListTpl',
	props:{
		card:Array
	}
});
var vue = new Vue({
	el:'#vue-content',
	data:{
		card_list:[],
		nocard:true
	},
	filters:{
		sub_str_card:function(value){
			return 'abc'
		}
	}
})
//长按删除
apiready = function() {
	var store_id = $api.getStorage('store_id');
	ischange = api.pageParam.ischange;
	get_store_account(store_id);
	api.addEventListener({
		name:'add_new_card'
	},function(ret,err){
		vue.card_list = [];
		vue.nocard = true;
		get_store_account(store_id);
	});
	
	api.addEventListener({
		name:'del_account'
	},function(ret,err){
		vue.card_list = [];
		vue.nocard = true;
		get_store_account(store_id);
	});
	
	api.addEventListener({
		name:'del_card'
	},function(ret,err){
		vue.card_list.pop();
	});
	
	touchEvt();
}

//拉取银行列表
function get_store_account(store_id){
	ajaxRequest(App.url+App.get_store_account+'/token/'+App.appToken+'/store_id/'+store_id,'GET',{},function(ret,err){
		if(ret && ret.status == 200){
			//alert(JSON.stringify(ret));
			if(ret.list == null){
				vue.nocard = false;	
				return;
			}
			for(var prop in ret.list){
				vue.card_list.push(
					{   name:ret.list[prop].bank,
						number:subStrCard(ret.list[prop].number),
						icon:ret.list[prop].icon,
						id:ret.list[prop].id,
						b_type:'储蓄卡'	
					})
			}
		}else{
			popToast('查询失败或网络错误','bottom')
		}
	})
}

//长按删除

function touchEvt(){
	//长按删除
	$('.card-list-wrap').on('longTap','.app-cus-card',function(e){
		var card_id = $(this).attr('data-account-id');
		var store_id = $api.getStorage('store_id');
		
		api.confirm({
			title:'删除提现银行卡',
			msg:'点击确认可删除',
			buttons:['确认','取消']
        },function(ret,err){
        	var btnIndex = ret.buttonIndex;
        	if(btnIndex != 1) return;
        		ajaxRequest(App.url+App.delete_store_account+'/token/'+App.appToken+'/store_id/'+store_id+'/id/'+card_id,'GET',{},function(ret,err){
					if(ret && ret.status == 200){
						popToast('删除成功','bottom');
						api.sendEvent({
							name:'del_account'
						});
					}else{
						popToast('删除失败，请稍后重试','bottom');
					}
				});
        	//coding...
       	 });
	})
}



function selectAccount(obj){
	if($api.hasCls(obj, 'selected')) return;
	var card_ele = $api.domAll('.app-cus-card.selected');
	for(var i = 0; i < card_ele.length; i++){
		$api.removeCls(card_ele[i],'selected');
	}
	$api.addCls(obj,'selected');
	var aid = $api.attr(obj,'data-account-id');
	
	api.sendEvent({
		name:'change_account',
		extra:{
			name:$api.attr(obj,'data-name'),
			icon:$api.attr(obj,'data-card-icon'),
			card_type:$api.attr(obj,'data-type'),
			card_code:$api.attr(obj,'data-card-code')
		}
	});
	
	if(typeof ischange == 'undefined')return;
	setTimeout(function(){
		historyBack();
	},300); 
}

function add_new_card(obj,type){
	var win_name = 'win_add_header';
	var paramJson = {
		type:'add',
		title:'添加银行卡',
		plus:true
	}
	
	openWin(win_name,paramJson.type,'win_add_header',paramJson);
}