//statement.js

var vue = new Vue({
	el:'#vue-content',
	data:{
		extra_money:'0.00',
		disabled:false,
		btn_text:'提现',
		today:{
			t_total:0,
			t_money_total:0
		},
		yestoday:{
			y_total:0,
			y_money_total:0
		},
		has_info:true,
		record_list:null
	}
})

function get_store_info(store_id){
	//alert(333);
	ajaxRequest(App.url+App.get_store_index+'/token/'+App.appToken+'/store_id/'+store_id+'/limit/2','get',{},function(ret,err){
		if(ret && ret.status == 200){
			vue.extra_money = ret.total;
			//today
			vue.today = {
				t_total:ret.data.today,
				t_money_total:ret.data.todaymoney
			}
			
			//yestoday
			vue.yestoday = {
				y_total:ret.data.yestoday,
				y_money_total:ret.data.yestodaymoney
			}
			if(ret.data.record == null){
				vue.has_info = false;
			}
			//record list
			vue.record_list = ret.data.record;
		}else{
			popToast('查询失败或网络错误','bottom')
		}
	});
}

apiready = function() {
	//处理提现状态
	var store_id = $api.getStorage('store_id');
	//$api.rmStorage('applying');
	get_store_info(store_id);
	
	//刷新
	api.setRefreshHeaderInfo({
		visible:true,
		loadingImg:'widget://image/load.gif',
		bgColor:'rgba(255,104,98,1)',
		textColor:'#fff',
		textUp:'松开刷新',
		textDown:'下拉刷新',
		textLoading:'刷新中...',
		showTime:false
	},function(ret,err){
		if(ret){
			get_store_info(store_id);
			
			api.sendEvent({
				name:'refresh',
				extra:1
			})
			api.refreshHeaderLoadDone();
		}
	})
	
	api.addEventListener({
	    name:'submit_apply'
    },function(ret,err){
    	//coding...
    	var old_money = ~~vue.extra_money;
    	vue.disabled = false;
    	vue.btn_text = ret.value.text;
    	vue.extra_money = (old_money - parseFloat(ret.value.cash_num)).toFixed(2);
    	get_store_info(store_id);
    });
    
//  	api.addEventListener({
//		    name: 'appintent'
//		}, function(ret, err) {
//		    if (ret && ret.appParam.ajpush) {
//		        var ajpush = ret.appParam.ajpush;
//		        var id = ajpush.id;
//		        var title = ajpush.title;
//		        var content = ajpush.content;
//		        var extra = ajpush.extra;
//		        
//		       alert(title+'content:'+content);
//		    }
//		})
}