//add_new.js

var is_new_card = false;

var vue = new Vue({
	el:'#vue-content',
	data:{
		isedit:false,
		block:true,
		uname:'',
		selected:'',
		card_code:'',
		bank_list:[]
		
	},
	methods:{
		insertCode:function(evt){
			var code = evt.target.value;
//			if(/\S{5}/.test(code)){
//          	$api.val($api.dom('.'+evt.target.className),code.replace(/\s/g, '').replace(/(.{4})/g, "$1 "));
//      	}
//      	console.log(vue.card_code);
		}
	}
})

//银行列表
function get_bank_list(){
	api.ajax({
	    url:App.url+App.get_bank_list,
	    method:'post',
	    cache:false,
	    timeout:20,
	    data:{
	    	values:{
	    		token:'zhongrui',
	    	}
	    }
    },function(ret,err){
		if(ret && ret.status == 200){
			vue.bank_list = ret.list
		}else{
			alert('查询失败');
		}
    })
}

function certain_add_new(obj){
	if(!$api.hasCls(obj, 'app-btn-ok')){
		api.toast({
			msg:'请填写对应的选项',
			duration: 2000,
			location:'bottom'
		});
		return;
	}
	
	//添加银行卡
	//alert(vue.selected);
	api.showProgress({
		title:'正在添加'
	});
	api.ajax({
	    url:App.url+App.submit_store_account,
	    method:'post',
	    cache:false,
	    timeout:20,
	    data:{
	    	values:{
	    		token:'zhongrui',
	    		store_id:$api.getStorage('store_id'),
	    		username:vue.uname,
	    		bank_id:vue.selected,
	    		number:vue.card_code,
	    	}
	    }
    },function(ret,err){
    	//coding...
    	if(ret && ret.status == 200){
    		//alert(JSON.stringify(ret));
    		api.toast({
				msg:'成功添加银行卡',
				duration:2000,
				location:'bottom'
			});
			
			var md_code = subStrCard(vue.card_code);
			
			vue.card_code = md_code;
			
			if(is_new_card){
				api.sendEvent({
					name:'add_new',
					extra:{
						name:ret.name,
						card_code:vue.card_code,
						card_id:ret.id
					}
				})
			}
			
			api.sendEvent({
				name:'add_new_card',
				extra:{
					name:ret.name,
					card_code:vue.card_code,
					card_id:ret.id
				}
			});
			vue.block = false;
			vue.isedit = true;
			
    	}else{
    		api.toast({
    			msg:ret.msg,
    			duration:1500,
    			location:'bottom'
    		});
    	}
    	
    	api.hideProgress();
    });
	
}

//删除添加的银行卡
function removeNewCardInfo(b_id){
	var store_id = $api.getStorage('store_id');
	ajaxRequest(App.url+App.delete_store_account+'/token/'+App.appToken+'/store_id/'+store_id+'/id/'+b_id,'GET',{},function(ret,err){
	if(ret && ret.status == 200){
		popToast('删除成功','bottom');
		vue.uname = '';
		vue.card_code = '';
		vue.block = true;
		vue.selected = '0';
		vue.isedit = false;
		
		api.sendEvent({
			name:'del_account'
		});
	}else{
		popToast('删除失败，请稍后重试','bottom');
	}
});
}

apiready = function(){
	is_new_card = api.pageParam.add_new_card;
	get_bank_list();
}