//withdraw.js

var vue = new Vue({
	el:'#vue-content',
	data:{
		cash_note_list:[],
		curPage:1,
		s_page:10,
		totalPage:1,
		load_text:'下滑可加载',
		hideload:true
	}
})

apiready = function(){
	var store_id = $api.getStorage('store_id');
	get_withdrawal(store_id);
	//加载更多数据
	api.addEventListener({
		name:'scrolltobottom',
	},function(ret,err){
		vue.curPage++;
		if(vue.curPage > vue.totalPage){
			vue.hideload = true;
			vue.load_text = '暂无更多记录'
			return;
		}
		vue.hideload = false;
		vue.load_text = "下滑加载更多";
		get_withdrawal(store_id);
	});
}

//拉取提现明细
function get_withdrawal(store_id){
	ajaxRequest(App.url+App.get_withdrawal+'/token/'+App.appToken+'/store_id/'+store_id+'/p/'+vue.curPage+'/page/'+vue.s_page,'GET',{},function(ret,err){
		if(ret && ret.status == 200){
			//alert(JSON.stringify(ret));
			vue.totalPage = ret.totalPage;
			if(ret.totalPage == 0){
				vue.hideload = true;
				vue.load_text = '暂无更多记录';
				return;
			}
			if(ret.totalPage == 1){
				vue.hideload = true;
				vue.load_text = '暂无更多记录'
			}
			else{
				vue.hideload = true;
				vue.load_text = '下滑可加载';
			}
//			vue.hideload = false;
//			vue.load_text = '正在加载';
			for(var prop in ret.list){
				vue.cash_note_list.push(
					{   name:ret.list[prop].bank,
						type:ret.list[prop].type,
						money:ret.list[prop].money,
						total:ret.list[prop].total,
						id:ret.list[prop].id,
						create_time:ret.list[prop].create_time,
						status:ret.list[prop].status	
					})
			}
		}else{
			alert('查询失败');
		}
	})
	api.parseTapmode();
}